Name:		bluez-gnome
Version:	1.8
Release:	8%{?dist}
Summary:	Bluetooth pairing and control applet

Group:		Applications/System
License:	GPLv2+
URL:		http://www.bluez.org/
Source0:	http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz

Patch0:		bluetooth-sendto-ods-svn.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/535
Patch1:		0001-Fix-PS3-BD-remote-pairing.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/559
Patch2:		0001-Fixes-for-adapter-specific-buttons.patch
Patch3:		0002-Move-the-adapter-button-list-to-the-side.patch
Patch4:		0003-Fix-trust-button.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=466988
Patch5:		bluez-apple-wireless-kbd.patch
# http://git.kernel.org/?p=bluetooth/bluez-gnome.git;a=commitdiff;h=7256de93be73f50913f6689a0690e3c0a28dfe3b
Patch6:		bluez-wizard-fix-null-display.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=464446
Patch7:		0001-Add-support-for-pairing-a-few-GPS-devices.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/650
Patch8:		0001-Sort-devices-by-type-in-the-treeviews.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:	s390 s390x

BuildRequires:	dbus-devel gtk2-devel GConf2-devel libnotify-devel 
BuildRequires:	dbus-glib-devel perl-XML-Parser intltool
BuildRequires:	desktop-file-utils gettext
BuildRequires:	hal-devel

Obsoletes:	bluez-pin
Provides:	dbus-bluez-pin-helper
Requires:	gvfs-obexftp
Requires:	obex-data-server

Requires(post): shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): shared-mime-info
Requires(postun): desktop-file-utils

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%package analyzer
Summary: Bluetooth protocol analyzer
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%prep
%setup -q
%patch0 -p1 -b .ods-svn
%patch1 -p1 -b .ps3-bd
%patch2 -p1 -b .button
%patch3 -p1 -b .move
%patch4 -p1 -b .trust
%patch5 -p1 -b .apple-kbd
%patch6 -p1 -b .wizard-crash
%patch7 -p1 -b .gps
%patch8 -p1 -b .sorting

%build
%configure --disable-mime-update --disable-desktop-update --disable-icon-update
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/
mv $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/ $RPM_BUILD_ROOT%{_datadir}/gnome/

desktop-file-install --vendor=""				\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-properties.desktop

desktop-file-install --vendor=""				\
	--remove-category=Application				\
	--remove-category=Utility				\
	--add-category=GTK					\
	--add-category=System					\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-analyzer.desktop

%find_lang bluetooth-manager

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule					\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f bluetooth-manager.lang
%defattr(-,root,root,-)
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%{_bindir}/bluetooth-wizard
%{_bindir}/bluetooth-browse
%config %{_sysconfdir}/gconf/schemas/*
%{_datadir}/gnome/autostart/bluetooth-applet.desktop
%{_datadir}/applications/bluetooth-properties.desktop
%{_datadir}/mime/packages/bluetooth-manager.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/bluetooth-applet.1.gz
%{_mandir}/man1/bluetooth-properties.1.gz
%{_mandir}/man1/bluetooth-wizard.1.gz
%{_mandir}/man1/bluetooth-sendto.1.gz
%{_mandir}/man1/bluetooth-browse.1.gz
%doc README COPYING AUTHORS ChangeLog

%files analyzer
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_bindir}/bluetooth-analyzer
%{_mandir}/man1/bluetooth-analyzer.1.gz

%changelog
* Sun Oct 26 2008 - Bastien Nocera <bnocera@redhat.com> - 1.8-8
- Avoid the devices jumping around in the treeview

* Thu Oct 23 2008 - Bastien Nocera <bnocera@redhat.com> - 1.8-7
- Add support for pairing a few GPS devices (#464446)

* Mon Oct 20 2008 - Bastien Nocera <bnocera@redhat.com> - 1.8-6
- Add missing patch

* Thu Oct 16 2008 - Bastien Nocera <bnocera@redhat.com> - 1.8-5
- Fix potential crasher in the wizard

* Tue Oct 14 2008 - Bastien Nocera <bnocera@redhat.com> - 1.8-4
- Try to fix Apple Wireless keyboard pairing (#466988)

* Tue Oct 14 2008 - Bastien Nocera <bnocera@redhat.com> - 1.8-3
- Add patches to clean up the button list (#465398)

* Fri Oct 10 2008 - Bastien Nocera <bnocera@redhat.com> - 1.8-2
- Add patch to make the PS3 BD remote work

* Sat Oct 04 2008 - Bastien Nocera <bnocera@redhat.com> - 1.8-1
- Update to 1.8 and update obex-data-server patch

* Thu Oct 02 2008 - Bastien Nocera <bnocera@redhat.com> - 1.7-2
- Remove the X-GNOME-NetworkSettings category from the
  preferences' desktop file, it makes the prefs show up in
  two places in the menus (#465180)

* Tue Sep 30 2008 - Bastien Nocera <bnocera@redhat.com> - 1.7-1
- Update to 1.7

* Mon Sep 29 2008 - Bastien Nocera <bnocera@redhat.com> - 1.6-1
- Update to 1.6

* Mon Sep 29 2008 - Bastien Nocera <bnocera@redhat.com> - 1.5-2
- Add another patch for Bluetooth sendto support for BlueZ 4.x

* Sat Sep 27 2008 - Bastien Nocera <bnocera@redhat.com> - 1.5-1
- Update to 1.5

* Tue Sep 23 2008 - Bastien Nocera <bnocera@redhat.com> - 1.4-4
- Update bluetooth-sendto to the BlueZ 4.x API, and obex-data-server
  SVN APIs

* Sun Sep 14 2008 - David Woodhouse <David.Woodhouse@intel.com>
- Tidy up specfile, fix source URL

* Sun Sep 14 2008 - Bastien Nocera <bnocera@redhat.com> - 1.4-3
- Add missing files to the list

* Sat Sep 13 2008 - Bastien Nocera <bnocera@redhat.com> - 1.4-2
- Remove obsolete patch

* Sat Sep 13 2008 - Bastien Nocera <bnocera@redhat.com> - 1.4-1
- Update to 1.4

* Wed Sep 10 2008 - David Woodhouse <David.Woodhouse@intel.com> - 1.3-1
- Update to 1.3

* Tue Sep 09 2008 - David Woodhouse <David.Woodhouse@intel.com> -0.28-3
- Fix device addition

* Wed Aug 27 2008 - Bastien Nocera <bnocera@redhat.com> - 0.28-2
- Update requirements for obexftp browsing

* Fri Aug 08 2008 - Bastien Nocera <bnocera@redhat.com> - 0.28-1
- Update to 0.28

* Thu Jul 03 2008 - Bastien Nocera <bnocera@redhat.com> - 0.27-1
- Update to 0.27

* Tue Apr 08 2008 - Bastien Nocera <bnocera@redhat.com> - 0.26-1
- Update to 0.26

* Fri Mar 14 2008 - Bastien Nocera <bnocera@redhat.com> - 0.25-1
- Update to 0.25 (crash fix)

* Fri Mar 14 2008 - Bastien Nocera <bnocera@redhat.com> - 0.24-2
- Fix crasher when removing the default adapter

* Fri Mar 07 2008 - Bastien Nocera <bnocera@redhat.com> - 0.24-1
- Update to 0.24

* Tue Mar 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.23-2
- Add dependency on a gvfs with ObexFTP support

* Sun Feb 24 2008 - Bastien Nocera <bnocera@redhat.com> - 0.23-1
- Update to 0.23

* Fri Feb 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.22-1
- Update to 0.22

* Fri Feb 15 2008 - Bastien Nocera <bnocera@redhat.com> - 0.21-2
- Update the patch to hide the "Class of device" selection widget,
  avoids a crasher on startup with unstable releases of gnome-session

* Wed Feb 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.21-1
- Update to 0.21

* Tue Feb 12 2008 - Bastien Nocera <bnocera@redhat.com> - 0.20-1
- Update to 0.20

* Tue Feb 12 2008 - Bastien Nocera <bnocera@redhat.com> - 0.19-1
- Update to 0.19

* Mon Feb 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.18-2
- Add patch to make the search button work

* Mon Feb 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.18-1
- Update to 0.18

* Thu Feb 07 2008 - Bastien Nocera <bnocera@redhat.com> - 0.17-2
- Update the patch to remove the class setting

* Thu Feb 07 2008 - Bastien Nocera <bnocera@redhat.com> - 0.17-1
- Update to 0.17
- Update new sendto patch

* Wed Feb 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.16-2
- Re-add the sendto patch, we don't want the old stuff

* Wed Feb 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.16-1
- Update to 0.16

* Mon Jan 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.15-3
- Add requires on obex-data-server for bluetooth-sendto

* Mon Jan 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.15-2
- Add patch to update the sendto binary

* Wed Jan 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.15-1
- Update to 0.15
- Add patch to remove the useless hardware type selection

* Tue Oct 23 2007 Matthias Clasen <mclasen@redhat.com> - 0.14-9
- Rebuild against new dbus-glib

* Wed Oct 10 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-8
- Require gnome-vfs2-obexftp, so that the functionality works
  as expected (#326231)

* Sat Oct 06 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-7
- Provide virtual dbus-bluez-pin-helper for bluez-utils to use
  (#212421)

* Wed Oct 03 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-6
- Fix location of the autostart desktop file (#316101)

* Thu Sep 20 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-5
- Don't allow class of the device to be changed if HAL is being
  used (#244261)

* Thu Sep 20 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-4
- Only show and start the bluez-gnome bits in GNOME (#258721)

* Tue Sep 18 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-3
- Split out the analyzer so it's not installed by default
- Don't prefix the properties .desktop with fedora for no reason

* Fri Aug 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-2
- Remove the obex BR, we're not using it yet
- Build with HAL support

* Wed Aug 29 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-1
- Update to 0.14

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.13-3
- Rebuild for build ID

* Thu Aug  9 2007  Matthias Clasen <mclasen@redhat.com> - 0.13-2
- Move the analyzer to a better place in the menus
- Use desktop-file-install for all desktop files
- Update the license field

* Wed Aug 01 2007 - Bastien Nocera <bnocera@redhat.com> - 0.13-1
- Update to 0.13

* Tue Jul 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.12-1
- Update to 0.12

* Tue Jul 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.11-1
- Update to 0.11

* Sun Jul 29 2007 Bastien Nocera <bnocera@redhat.com> - 0.10-1
- Update to 0.10
- Add the analyser's desktop file

* Sat Jul 21 2007 David Woodhouse <dwmw2@infradead.org> - 0.9-1
- Update to 0.9

* Sat Jul 07 2007 Bastien Nocera <bnocera@redhat.com> - 0.8-2
- Only install and uninstall our own schema file (#247330)

* Thu Jun 14 2007 Bastien Nocera <bnocera@redhat.com> - 0.8-1
- Update to 0.8
- Punt outdated patches
- Add man pages, and translations
- Add GConf and desktop file updating scriplets

* Wed Jan 24 2007 Matthias Clasen <mclasen@redhat.com> 0.6-2
- Add X-GNOME-NetworkSettings to desktop file categories
- Use desktop-file-install
 
* Thu Oct 26 2006 David Woodhouse <dwmw2@redhat.com> 0.6-1
- Update to bluez-gnome 0.6

* Fri Oct  6 2006 David Woodhouse <dwmw2@redhat.com> 0.5-5
- Allow user to toggle discoverability

* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build
